Bug 514698 - After upgrade to bluez-4.42-1 /etc/init.d/bluetooth fails on call to hid2hci
After upgrade to bluez-4.42-1 /etc/init.d/bluetooth fails on call to hid2hci
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-30 05:54 EDT by Juan Antonio Martinez
Modified: 2009-08-11 18:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.42-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-11 18:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Juan Antonio Martinez 2009-07-30 05:54:17 EDT
Description of problem:
After upgrade to bluez-4.42-1 /etc/init.d/bluetooth fails on call to hid2hci

Version-Release number of selected component (if applicable):
bluez-4.42-1

How reproducible:
Allways.

Steps to Reproduce:
1. configure properly /etc/sysconfig/bluetooth to handle hid bluetooth devices
2. execute "service bluetooth restart"
3.
  
Actual results:
bluetooth icon at gnome-panel becomes deactivated. No way to activate icon

Expected results:
bluetooth icon should work properly

Additional info:
Tested on a Dell studio 1737 with a usb bluetooth with id: 413c:8158

Looking at hid2hci page I can see that commandline options have hanged:
/etc/init.d/bluetooth shows like:
.....
[ "$HID2HCI_ENABLE" = "true" ] && hid2hci --tohci > /dev/null 2>&1 || :
        touch /var/lock/subsys/bluetooth
.....
[ "$HID2HCI_UNDO" = "true" ] && hid2hci --tohid > /dev/null 2>&1 || :
        killproc bluetoothd

but "--tohci" and "--tohid" cmdline options no longer exists

Working cmdline option for me is:

hid2hci -r hci -m dell -v 413c -p 8158 ( on start function )
hid2hci -r hid -m dell -v 413c -p 8158 ( on stop function )

So need to change init scripts and provide a propper way to 
handle hid2hci cmdline switches and discovering devices

An alternate way to handle this issue could be the one reported at bug 478731
Comment 1 Juan Antonio Martinez 2009-07-30 06:33:53 EDT
Looking at git source tree, i can see that hid2hci code was changed at version 4.38, by removing hardwired device ID's and supporting new cmdline options

At revision 4.40 support for udev and dell switches was provided 

Fedora updates I've received are 4.37 and 4.42. Current release is 4.46

So IMHO the best way to handle this issue is to provide proper udev rules to handle hid bluetooth devices
Comment 2 Juan Antonio Martinez 2009-07-30 11:56:00 EDT
Seems that development src.rpm files has also same error...

Easy patch to allow bluetooth hid devices to be handled by udev: (thanks
to debian bugzilla's people :-)

Get bluez-4.46-3.fc12.src.rpm from fedora development repository
- Adjust specfile to create a /etc/udev/rules.d/62-bluetooth-hid2hci.rules
  from scripts/bluetooth-hid2hci.rules file in source tree
- remove /etc/sysconfig/bluetooth from specfile and bluetooth.conf file from
  rpm package
- get bluetooth.init file and remove references to hid2hci

Basically changes are the same than debian people do: instead of
/etc/init.d/bluetooth script, let udev handle hid2hci

Please do not hessitate on asking me for testing. Thanks
Juan Antonio
Comment 3 Juan Antonio Martinez 2009-07-31 08:20:20 EDT
OK, I did the work :-(

Take a look at:
oasis.dit.upm.es/~jantonio/personal/privado/bluez-4.46-2.fc11.src.rpm

Works fine for me, but unsure on other non-hid bluetooth devices

Hope this helps. Cheers

Juan Antonio
Comment 4 Fedora Update System 2009-08-03 08:51:12 EDT
bluez-4.42-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bluez-4.42-2.fc11
Comment 5 Juan Antonio Martinez 2009-08-03 09:47:52 EDT
from submitted bluez-4.42-2.fc11.i586.rpm
.....
/etc/sysconfig/modules/bluez-uinput.modules
/etc/udev/bluetooth-hid2hci.rules
/etc/udev/rules.d/97-bluetooth-serial.rules
.....

Seems to me that bluetooth-hid2hci.rules parent dir should be
/etc/udev/rules.d/. ¿is this correct?
Juan Antonio
Comment 6 Fedora Update System 2009-08-03 10:23:34 EDT
bluez-4.42-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bluez-4.42-3.fc11
Comment 7 Fedora Update System 2009-08-03 15:21:49 EDT
bluez-4.42-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluez'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8228
Comment 8 Fedora Update System 2009-08-04 20:28:21 EDT
bluez-4.42-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluez'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8258
Comment 9 Matthias Saou 2009-08-06 07:21:52 EDT
I had the exact same problem on a Dell Latitude E4200. The new packages from updates-testing fix the problem.
Comment 10 Fedora Update System 2009-08-11 07:49:49 EDT
bluez-4.42-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bluez-4.42-4.fc11
Comment 11 Fedora Update System 2009-08-11 18:31:10 EDT
bluez-4.42-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bluez'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8461
Comment 12 Fedora Update System 2009-08-11 18:32:29 EDT
bluez-4.42-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.